<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="form.css">
        <title>Document</title>
    </head>
    <body>
        <h1>Reservation Request</h1>
        <form id="reservation-form">
            <fieldset>
                <legend>General information</legend>
                <label for="arrival-date">Arrival date:</label>
                <input type="date" name="arrival-date" id="arrival-date"
                    required>
                <br>
                <label for="nights">Nights:</label>
                <input type="number" name="nights" id="nights" max="100"
                    required data-id="">
                <br>

                <label for="adults">Adults:</label>
                <input type="number" name="adults" id="adults" max="100"
                    min="0" required>
                <br>
                <label for="children">Children:</label>
                <input type="number" name="children" id="children" max="100"
                    min="0" required>
            </fieldset>
            <fieldset>
                <legend>Preferences</legend>
                <label>Room Type:</label>
                <label for="standard">Standard</label>
                <input type="radio" name="preferences" id="standard" required>
                <label for="business">Business</label>
                <input type="radio" name="preferences" id="business" required>
                <label for="suite">Suite</label>
                <input type="radio" name="preferences" id="suite" required>
                <br>
                <label>Bed Type:</label>
                <label for="king">King</label>
                <input type="radio" name="bed-type" id="king" required>
                <label for="double">Double Double</label>
                <input type="radio" name="bed-type" id="double" required>
                <br>
                <input type="checkbox" name="smoking" id="smoking">
                <label for="smoking">Smoking</label>
            </fieldset>
            <fieldset>
                <legend>Contact information</legend>
                <label for="name">Name:</label>
                <input type="text" name="name" id="name" required>
                <br>
                <label for="email">Email:</label>
                <input type="email" name="email" id="email" required>
                <br>
                <label for="phone">Phone:</label>
                <input type="tel" name="phone" id="phone" required>
            </fieldset>
            <input type="submit" value="Submit Reservation" id="submit-form">
            <input type="reset" value="Clear" id="clear">
        </form>
        <script src="form.js"></script>
    </body>
</html>